/****
 *
 * Exemplo: switchC99.c
 *
 * Captulo: 1
 * Seo: 1.74
 *
 * Demonstra: uso de declarao de varivel
 *            dentro do corpo de uma instruo switch (C99).
 *
 ****/

#include <stdio.h>

int main(void)
{
   int x = 0;

   switch (x) {
      int i = 4; // Declarao vale, mas inicializao  intil
      printf("Na entrada de switch: i = %d\n", i); // No haver chamada

      case 0:
         printf("No inicio do primeiro case: i = %d\n", i); // Valor e i  indefinido
         i = 17; // Varivel i  inicializada aqui
      default:
         printf("Na parte default do switch: i = %d\n", i);
   }

//   i = 0; /* Se o comentrio for removido o compilador indicar um erro */

   getchar();
   return 0;
}

/****
/*
/* Resultado do programa:
/*
/* No inicio do primeiro case: i = 42
/* Na parte default do switch: i = 17
/*
/****/
