/****
 *
 * Exemplo: Entrada7.c
 *
 * Captulo: 2
 * Seo: 2.6.2
 *
 * Demonstra: Uso correto da entrada de dados padro.
 *
 ****/

#include <stdio.h>

void LimpaBuffer(void)
{
   int valorLido; /* valorLido deve ser int! */

   do {
      valorLido = getchar();
   } while ((valorLido != '\n') && (valorLido != EOF));
}

int main(void)
{
   int  umInt, outroInt, nValoresLidos;

   printf("Digite um valor inteiro: ");

   leitura1:
      nValoresLidos = scanf("%d", &umInt);

   if (nValoresLidos == 0) { // Nenhum inteiro foi lido
      LimpaBuffer();
      printf("Entrada incorreta. Digite um valor inteiro: ");
      goto leitura1;
   }

   printf("Digite outro valor inteiro: ");

   leitura2:
      nValoresLidos = scanf("%d", &outroInt);

   if (nValoresLidos == 0) { // Nenhum inteiro foi lido
      LimpaBuffer();
      printf("Entrada incorreta. Digite um valor inteiro: ");
      goto leitura2;
   }

   printf("\n%d + %d = %d", umInt, outroInt, umInt + outroInt);

   return 0;
}
