/****
 *
 * Exemplo: Assert1.c
 *
 * Captulo: 5
 * Sees: 5.3.8 e 5.9
 *
 * Demonstra: Definio e uso da macro ASSERT
 *            Uso da diretiva #line
 *
 ****/

#include <stdio.h>
#include <stdlib.h>

#define ASSERT( x ) if (!(x) ) {\
		  printf("A condicao %s na linha %d do arquivo %s falhou.",\
			     #x, __LINE__, __FILE__); \
		  exit(1); \
	  }

int main(void)
{
   int i = -1;

#line 100
   ASSERT( i > 0 )

   return 0;
}

