/****
 *
 * Exemplo: Assert2.c
 *
 * Captulo: 5
 * Sees: 5.3.8 e 5.4
 *
 * Demonstra: Definio e uso da macro ASSERT
 *            Uso de compilao condicional
 *
 ****/

#include <stdio.h>
#include <stdlib.h>

#define DEBUG  0

#if DEBUG
#define ASSERT( x )  if (!(x) ) {\
	       printf("A condicao %s na linha %d do arquivo %s falhou", \
			      #x, __LINE__, __FILE__); \
           exit(1); \
		}
#else
#define ASSERT( x )  0;
#endif

int main(void)
{
   int i = -1;

   ASSERT( i > 0 )

   return 0;
}
