/****
 *
 * Exemplo: _Pragma.c
 *
 * Captulo: 5
 * Seo: 5.8
 *
 * Demonstra: O uso do operador _Pragma.
 *
 ****/

_Pragma("comment(user, \"Meu Nome\")")

#define ASSINATURA(tipo, ass) PRAGMA(comment(tipo, ass))
#define PRAGMA(x) _Pragma(#x)

ASSINATURA(user, "Outro Nome")

int main(void)
{
   printf("\t*** Exemplo de uso de _Pragma ***\n\n");
   printf( "Compile este programa usando gcc do seguinte modo:\n\n"
           "\"gcc _Pragma.c -std=c99 -E -o _Pragma.txt\"\n\n"
           "Depois abra o arquivo _Pragma.txt com um editor de "
           "\ntexto e examine o resultado do pre-processamento.\n");

   return 0;
}
