/****
 *
 * Exemplo: ImprimeArray.c
 *
 * Captulo: 7
 * Seo: 7.2.2 e 7.5
 *
 * Demonstra: Acesso seqencial aos elementos de um Array
 *            Array como parmetro de funo.
 *
 ****/

#include <stdio.h>

void  ImprimeArray(float  array[], unsigned  tamanhoDoArray)
{
   unsigned  i;

   for (i = 0; i < tamanhoDoArray; i++) {
      printf("array[%u] = %3.2f\n", i, array[i]);
   }
}

int main (void)
{
   float  meuArray[] = {1.2, 3.14, 1.69, 10.1, 0.5, 0, 3.0, 12.42};

   ImprimeArray(meuArray, sizeof(meuArray)/sizeof(meuArray[0]));

   return 0;
}
