/****
 *
 * Exemplo: restrict.c
 *
 * Captulo: 7
 * Seo: 7.8
 *
 * Demonstra: O uso indevido de restrict.
 *
 ****/

#include <stdio.h>

void F1(int * a, int * b, int nElementos)
{
   int i;

   for (i = 0; i < nElementos/2; ++i)
      b[i] = a[i]*a[i];
}

void F2(int * a, int * b, int nElementos)
{
   int i;

   for (i = nElementos/2; i < nElementos; ++i)
      b[i] = a[i]*a[i];
}

void Inicializa(int a[], int nElementos)
{
   int tmp[11] = {-1, 5, 3, 1, 1, 0, 7, 3, 2, 6, 4};
   int i;

   for (i = 0; i < nElementos; ++i)
      a[i] = tmp[i];
}

int main(void)
{
   int A[11] = {-1, 5, 3, 1, 1, 0, 7, 3, 2, 6, 4};
   int *B = &A[1];
   int i;

   printf("Elementos dos arrays A e B ANTES de chamar F1() e F2():\n");

   for (i = 0; i < 10; ++i)
      printf( "\n\tA[%2d] = %2d\tB[%2d] = %2d\n",
              i, A[i], i, B[i] );

   F1(A, B, 10);
   F2(A, B, 10);

   printf("\n\nElementos dos arrays A e B APOS chamar F1() e F2():\n");

   for (i = 0; i < 10; ++i)
      printf( "\n\tA[%2d] = %2d\tB[%2d] = %2d\n",
              i, A[i], i, B[i] );

   Inicializa(A, 11); //  necessrio reinicializar os arranjos

   printf("\n\nElementos dos arrays A e B ANTES de chamar F2() e F1():\n");

   for (i = 0; i < 10; ++i)
      printf( "\n\tA[%2d] = %2d\tB[%2d] = %2d\n",
              i, A[i], i, B[i] );

   F2(A, B, 10);
   F1(A, B, 10);

   printf("\n\nElementos dos arrays A e B APOS chamar F2() e F1():\n");

   for (i = 0; i < 10; ++i)
      printf( "\n\tA[%2d] = %2d\tB[%2d] = %2d\n",
              i, A[i], i, B[i] );

   return 0;
}
