/****
 *
 * Exemplo: LiteraisCompostos1.c
 *
 * Captulo: 9
 * Seo: 9.11
 *
 * Demonstra: Literais compostos (C99).
 *
 ****/

#include <stdio.h>

#define N_ELEMENTOS 3

int *F(void)
{
   int *p = (int []) {-2, 1, 0};

   *p = -1;
   *(p + 1) = -2;
   *(p + 2) = -3;

   printf("Dentro da funcao F()\n");
   printf("Elementos do arranjo:\n");

   for (int i = 0; i < N_ELEMENTOS; ++i)
      printf("\n\t\tp[%2d] = %2d", i, p[i]);

   return p;
}

int main(void)
{
   int *p;

   p = F();

   printf("\n\nFora da funcao F()\n");
   printf("Elementos do arranjo:\n");

   for (int i = 0; i < N_ELEMENTOS; ++i)
      printf("\n\t\tp[%2d] = %2d", i, p[i]);

   return 0;
}
