/****
 *
 * Exemplo: qsort2.c
 *
 * Captulo: 11
 * Seo: 11.9.1
 *
 * Demonstra: O uso da funo qsort().
 *
 ****/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int Comp(const void *e1, const void *e2)
{
   return(strcmp((char *)e1,(char *)e2));
}

main()
{
   int  i;
   char cores[5][8] = { "azul", "verde", "preto", "roxo", "branco" };

   qsort((void *)cores, 5, sizeof(cores[0]), Comp);
   for (i = 0; i < 5; i++)
      printf("%s\n", cores[i]);

   return 0;
}

