/****
 *
 * Exemplo: ferrorEclearerr.c
 *
 * Captulo: 12
 * Seo: 12.9
 *
 * Demonstra: O uso das funes fgetpos() e fsetpos().
 *
 ****/

#include <stdlib.h>
#include <stdio.h>

int main(void)
{
   FILE   *stream;
   fpos_t  pos;

   stream = fopen("Arq.dat", "w+"); /* Abre arquivo para escrita */

   fprintf(stream, "Isto e' "); /* Escreve algo no stream */

   fgetpos(stream, &pos); /* Salva posio corrente do arquivo */

   fprintf(stream, "um teste"); /* Escreve algo mais */

   		/* Retorna  posio salva e escreve a partir dela */
   if (fsetpos(stream, &pos) == 0)
      fprintf(stream, "um exemplo");
   else {
      fprintf(stderr, "Erro ao tentar mover apontador de arquivo.\n");
      return 1;
   }

   fclose(stream); /* Fecha o arquivo */

   return 0;
}
