/****
 *
 * Exemplo: QuantasVezes.c
 *
 * Captulo: 4
 * Seo: 4.2.1
 *
 * Demonstra: Uso de varivel local de durao fixa.
 *
 ****/

#include <stdio.h>

void QuantasVezesFuiChamada( void )
{
    static unsigned contador = 0;

    ++contador;
    printf("Esta funcao foi chamada %u vez%s\n", contador,
            contador == 1 ? "" : "es");
}

int main(void)
{
   int 	i;

   for (i = 0; i < 10; ++i)
      QuantasVezesFuiChamada();

   return 0;
}
