/****
 *
 * Exemplo: MacrosOperadores.c
 *
 * Captulo: 5
 * Seo: 5.3.5 e 5.3.6
 *
 * Demonstra: Uso dos operadores de preprocessamento # e ##.
 *
 ****/

#include <stdio.h>

#define IMPRIME_VARIAVEL(x) printf("Valor de %s = %lf\n", #x, x)
#define CRIA_VAR(n)  double variavel##n

int main(void)
{
   double var1 = 1.0, var2 = 2.0, var3 = 3.0;
   CRIA_VAR(2);

   IMPRIME_VARIAVEL(var1);
   IMPRIME_VARIAVEL(var2);
   IMPRIME_VARIAVEL(var3);

   return 0;
}
