/****
 *
 * Exemplo: strspnEstrcspn.c
 *
 * Captulo: 8
 * Seo: 8.4.9
 *
 * Demonstra: O uso de strspn e strcspn.
 *
 ****/

#include <stdio.h>
#include <string.h>

int main(void)
{
   char    *str1 = "ABCDEFGHIJH";
   char    *str2 = "DCFAB";
   size_t  posicao;

   posicao = strspn(str1, str2);

   printf( "Primeiro caractere de \"%s\" que nao "
           "esta em \"%s\": %c\n\n",
		   str1, str2, str1[posicao]);

   posicao = strcspn(str1, str2);

   printf( "Os strings \"%s\" e \"%s\" se "
           "interceptam no caractere %c\n",
           str1, str2, str1[posicao]);

   return 0;
}
