/****
 *
 * Exemplo: strtok.c
 *
 * Captulo: 8
 * Seo: 8.4.10
 *
 * Demonstra: O uso de strtok.
 *
 ****/

#include <stdio.h>
#include <string.h>

int main(void)
{
   char string[] = "Este e' um string com 7 tokens.";
   char separadores[] = " ."; /* Note o espao em branco */
   char *token;
   int  i = 0;

   printf("O string a ser separado em tokens e': "
          "\n\t\"%s\"\n", string);
   printf("\n\nOs tokens sao:\n\n");

   token = strtok(string, separadores);

   while (token) {
      printf("\tToken %d: \"%s\"\n", ++i, token);
      token = strtok(NULL, separadores);
   }

   printf("\n\nString original alterado por strtok(): "
          "\n\t\"%s\"\n", string);

   return 0;
}
