/****
 *
 * Exemplo: PontFunc2.c
 *
 * Captulo: 10
 * Seo: 10.5.5
 *
 * Demonstra: Funo que recebe um ponteiro para
 *            funo como argumento.
 *
 ****/

#include <stdlib.h>
#include <stdio.h>

void FuncaoComPonteiroParaFuncao(float f, int (*pf)(float))
{
	/* Corpo da funo FuncaoComPonteiroParaFuncao() */
}

int  F1(float umFloat)
{
	/* Corpo da funo F1() */
}

int  F2(float umFloat)
{
	/* Corpo da funo F2() */
}

void  F3(float umFloat)
{
	/* Corpo da funo F3() */
}

int main(void)
{
   float   x;

   FuncaoComPonteiroParaFuncao(x, F1);
   FuncaoComPonteiroParaFuncao(x, F2);
   FuncaoComPonteiroParaFuncao(x, F3);

   return 0;
}
