/****
 *
 * Exemplo: fprintf.c
 *
 * Captulo: 12
 * Seo: 12.10.2
 *
 * Demonstra: O uso da funo fprintf().
 *
 ****/

#include <stdio.h>

int main(void)
{
   FILE  *stream;
   int    i = 100;
   char   c = 'C';
   float  f = 1.234f;

   stream = fopen("Arq1.txt", "w+");

   if (!stream) {
      fprintf(stderr, "Arquivo nao pode ser criado.");
      return 1;
   }

   fprintf(stream, "%d %c %f", i, c, f);

   fclose(stream);

   return 0;
}
