/****
 *
 * Exemplo: fscanf.c
 *
 * Captulo: 12
 * Seo: 12.10.1
 *
 * Demonstra: O uso da funo fscanf().
 *
 ****/

#include <stdio.h>

int main(void)
{
   int    umInt, nValoresLidos = 0;
   FILE  *stream;

   stream = fopen("Arq.dat", "rt");

   if (!stream) {
      printf("Nao foi possivel abrir o stream");
      return 1;
   }

   nValoresLidos = fscanf(stream, "%d", &umInt);

   if (nValoresLidos == 1)
      printf("O valor lido foi: %d", umInt);
   else
      printf("Nao foi lido nenhum valor");

   fclose(stream);

   return 0;
}
