/****
 *
 * Exemplo: tmpfile.c
 *
 * Captulo: 12
 * Seo: 12.10.6
 *
 * Demonstra: O uso da funo tmpfile().
 *
 ****/

#include <stdio.h>

int main(void)
{
   int    umInteiro = 30;
   float  umFloat = 7.45;
   char   umString[80] = "Teste";
   FILE  *stream;

   stream = tmpfile(); /* Cria um arquivo temporrio */

   if (!stream) {
      fprintf(stderr, "Arquivo temporario nao pode ser criado.");
      return 1;
   }

   fprintf(stream, "%d %f %s", umInteiro, umFloat, umString);

      /* Faz apontador de posio retornar para */
      /* o incio do arquivo antes de l-lo     */
   rewind(stream);

      /* L e imprime o que foi escrito no arquivo temporrio */
   fscanf(stream, "%d %f %s", &umInteiro, &umFloat, umString);
   printf("%d %f %s\n", umInteiro, umFloat, umString);

   fclose(stream);

   return 0;
}
