/****
 *
 * Exemplo: vprintf.c
 *
 * Captulo: 12
 * Seo: 12.10.2
 *
 * Demonstra: O uso da funo vprintf().
 *
 ****/

#include <stdio.h>
#include <stdarg.h>

int ExemploDe_vprintf(char *formato, ...)
{
   va_list 	argumentos;
   int 	retorno;

   va_start(argumentos, formato);
   retorno = vprintf(formato, argumentos);
   va_end(argumentos);

   return retorno;
}

int main(void)
{
   int 	  umInteiro = 32;
   float  umFloat = 44.9;
   char  *umString = "Isto e' um teste";

   ExemploDe_vprintf("%d %f %s\n",umInteiro,umFloat,umString);

   return 0;
}
