/****
 *
 * Exemplo: TrocaInts.c
 *
 * Captulo: 13
 * Seo: 13.7.2
 *
 * Demonstra: Troca de valores entre dois inteiros
 *            usando o operador xor.
 *
 ****/

#include <stdio.h>

void TrocaInteiros(int *x, int *y)
{
    *x ^= *y;
    *y ^= *x;
    *x ^= *y;
}

int main(void)
{
   int a = -2, b = 10;

   printf("\nAntes da troca: ");
   printf("\ta = %d\t\tb = %d\n", a, b);

   TrocaInteiros(&a, &b);

   printf("\nDepois da troca: ");
   printf("\ta = %d\t\tb = %d\n", a, b);

   return 0;
}
